label sanderson_solar_start:

    "When you arrive at the end of the utility hall for Sanderson Solar you find that a series of thick trunk pipes, ones that no doubt supply the rest of the city with the power it needs as you walk out into the main room of the building."

    "You find yourself at the hub of a power substation, one of many that take the power being produced and channels it through the generators before going into the city itself."

    "Beyond this area you can see a set of massive machines that were likely said generators that produce the power, though from the look of them they were likely offline."

    "As you proceed further into the facility you can see that there were a set of stairs that led up to an area labeled as the offices of the building.  On the other side you see an area marked as the exit that leads into the solar farm itself."

    "Either way seemed no safer than the other, and of course there was always the path that led through the generators themselves.  With them being off it was likely you didn't have to worry about any creatures... although there may be a reason why the generators are down in the first place."

    menu:

        "Go through the generators":
            jump in_the_core

        "Go through the offices":
            jump paper_pushers #this is a bad end, go to badends

        "Head outside to the solar farm":
            jump solar_farm

label in_the_core:

    "The huge generators tower over you as you start to walk between them to get to where you needed to go.  The monolithic machines were creepily silent however and it gave the entire area a feeling of foreboding."

    "When you got to the center of the room you found what appeared to be a control station, most of the monitors were dark but one or two flickered with life."

    "Mason wandered over first and looked around at the computer screen that was still let, rubbing his chin as you go over to join them."

    "Mason" "Looks like someone cut off the power manually from here."

    "Mason" "I'm no solar power technician but it looks like they pretty much idiot proof the process so that anyone could do it.  Course I'm not sure why we would want to turn the lights back on just as much as I am about why someone decided to turn them off in the first place."

    "Mason" "Perhaps it would be best if we just moved on and made our way to the skyscraper, it should be powered by the fusion reactor like most of the city anyway."

    if don_status == "party":

        "You were just about to agree when Don suddenly spoke up as he pensively looks over the machines."

        "Don" "I know why they did it."

        "Don" "At least, I think I do... the primary structure this thing powers is the communications hub so that even if some sort of catastrophe happens the power could still flow there and provide the ability to talk to others."

        "Don" "If we get the generators going then it would probably be a good thing in case we decide to head the communications relay."

        "Mason" "Well I can stay down here and call out what needs to be connected, it looks like from the diagram on this machine that one of us would have to activate the couplings in the order I tell them and then the other person would have to actually flip the switch once it's done."

        "Don" "Of course it's up to you guys, if you think it's too risky we can always move on."

        menu:

            "Leave it be":
                jump power_shortage

            "Activate the couplings":
                jump making_connections

            "Restart the power":
                jump turning_on_the_lights #this is a bad end, go to badends

    else:

        jump power_shortage

label power_shortage:

    if don_status == "party":

        "Risking everything to try and restore power to the structure that likely still has power isn't worth your time or lives, you reason as you continue on with Mason and Don behind you."

    "You head past the generators themselves and out of what appears to be the faculty's main entrance.  When you unlock and open the doors you find yourself in the parking lot of the solar power plant, the wind rolling through the empty fields to wash over you."

    "After being underground in the utility tunnels and then going through a dark and creepy facility it was nice to finally be able to see you aren't in danger.  When you look around you see it, the gate that leads back out into the island."

    jump into_the_shade

label making_connections:

    "The power couplings you needed to connect turned out to be huge, thick cables that hung from the generators to the substations that would receive the power."

    "Fortunately you didn't have to connect them by hand, there was a console that did them automatically for you once you told them where they needed to go."

    "Looking over the console you see Don clamber up to where the generator restart panel was while Mason continued to fiddle with the settings of the generators themselves."

    "While you weren't exactly sure what you were doing this part of the procedure seemed to have been rendered idiot proof as well."

    "After a minute or so Mason yells to you on which setting to put the first coupling, and when you punch it into the computer you nearly jump as you hear a loud grinding noise."

    "When you look up you see the support that held the coupling drift down to its destination, a large port on the side of the generator."

    "You cringe as the noise continues; if there were any creatures in the building they definitely knew you were here now as you waited for the computer to say that the coupling was secured."

    "When it was Mason shouted for the next one and for the next twenty minutes you were moving cables from one place to the other until at last the final connection was made and your station lit up with green lights."

    "Once you were finished Mason yelled up to Don and you looked past your station where you could just see Don's hand as he flipped all the generator switches."

    "The dark room suddenly flickered to life as you could hear the dynamos start to power up, the buzz of electricity filling the air as you celebrate your success."

    "When you look down at Mason to say that you did it you see him looking up where Don was, calling out to him to tell him to come back down.  You look up as well but with your limited view you don't see much except for the fact his arm had disappeared."

    "Suddenly there's a loud clang as you see Don's head and shoulders fall to the ground on the platform, a look of shock on his face that causes both your and Mason's eyes to widen."

    "That fear quickly turns to horror when you see the reason why, the head of a rubber creature that you can identify as a raptor slowly hovering above him with a lustful look on his face."

    "Don seems to notice that you are looking at him and reaches out a hand towards you, which causes you to gasp when you see that it was covered in latex scales and had claws on the end of it."

    "Mason yells for you to run and you run towards him as he bolts for the exit to the generator room.  You can hear the loud thud of something hitting the floor behind you and turn two see two more of the synthetic saurians start to race after you."

    "Though they were much faster the door was closer to you and after you and Mason burst through it and then lock the metal doors from the other side."

    "No sooner had you done that then you were pushed back as the creatures smashed against it, though luckily the doors seemed to hold as you get back on your feet."

    $ don_status = "converted"

    jump into_the_shade

label solar_farm:

    "The second you get outside you are greeted with the fresh sea breeze, the warm sun reflecting off the many solar panels that were in the surrounding area."

    "The solar farm was more expansive than the building that was used to harness all that energy, which took you more than your fair share of time to get across as you follow the building's edge until you reached the parking lot."

    "From there it looked like you could make a straight shot to the gate, but you weren't guaranteed to be able to get out."

    "On the other hand further down one of the hills you saw an emergency exit, one that was more likely to be open and just meant you had to walk among the various solar panel installations for cover."

    menu:

        "Go through the solar panel arrays":
            jump solar_powered_lizard #this is a bad end, go to badends

        "Head towards the gate":
            jump into_the_shade

label into_the_shade:

    "Even though the gate was mechanized you decide to go through the quieter side door, which thankfully was unlocked as you squeezed through."

    "Once you were on the other side and had the solar farm to your back you feel a small measure of relief as you stare out at the open fields in front of you that made up the outskirts of the city.  When you look back down at Kajira you can't believe that such a place was completely infested with those rubber creatures."

    "A voice in your head tells you that it would probably be better if you just stayed out here, though you knew that even though you couldn't see them at the moment there were probably creatures roaming around these lands as well."

    "From this vantage point Mason points to the tower that was the source of your journey in the first place, which was one of the larger ones that dominated the skyline.  Even though it was still going to be a bit of a walk there was little between you and it now except for wide open space."

    "Though you lament there is no vehicle to take you there you wouldn't risk it even if there was, the likelihood of attracting those creatures would be very high in such a noisy vehicle."

    if communications_relay is "known":

        "As you turn your head towards an area obscured by a hill you realize that it isn't the only place for you to go either, you could try to find the Relay station Don talked about and attempt to get a message out to see if the rest of the world was still alright or if it had suffered the same fate as Kajira did."

        menu:

            "Go to the communications hub":
                jump communication_interrupted_don

            "Head to the skyscraper":
                jump corporate_tower

    else:

        jump corporate_tower
